Package org.apache.felix.http.base.internal.registry

## Class PathResolverFactory.AbstractMatcher

- java.lang.Object
- - org.apache.felix.http.base.internal.registry.PathResolverFactory.AbstractMatcher

All Implemented Interfaces:
  `Comparable<PathResolver>`, `PathResolver`

Direct Known Subclasses:
  `PathResolverFactory.DefaultMatcher`, `PathResolverFactory.ExactAndPathMatcher`, `PathResolverFactory.ExactMatcher`, `PathResolverFactory.ExtensionMatcher`, `PathResolverFactory.PathMatcher`, `PathResolverFactory.RegexMatcher`, `PathResolverFactory.RootMatcher`

Enclosing class:
  PathResolverFactory

    public abstract static class PathResolverFactory.AbstractMatcher
    extends Object
    implements PathResolver

### Constructor Summary

Constructors
`AbstractMatcher​(ServletHandler handler, String pattern, int ranking)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(PathResolver o)`
`boolean` `equals​(Object obj)`
`int` `getOrdering()`
`String` `getPattern()`
`int` `getRanking()`
`ServletHandler` `getServletHandler()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.felix.http.base.internal.registry.PathResolver

`resolve`

### Constructor Detail

#### AbstractMatcher

    public AbstractMatcher​(ServletHandler handler,
                           String pattern,
                           int ranking)

### Method Detail

#### compareTo

    public int compareTo​(PathResolver o)

Specified by:
  `compareTo` in interface `Comparable<PathResolver>`

#### getServletHandler

    public ServletHandler getServletHandler()

Specified by:
  `getServletHandler` in interface `PathResolver`

#### getRanking

    public int getRanking()

Specified by:
  `getRanking` in interface `PathResolver`

#### getOrdering

    public int getOrdering()

Specified by:
  `getOrdering` in interface `PathResolver`

#### getPattern

    public String getPattern()

Specified by:
  `getPattern` in interface `PathResolver`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`